<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:wsdd="http://xml.apache.org/axis/wsdd/"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version='1.0'>
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
  <xsl:template match="wsdd:service">
<deployment xmlns="http://xml.apache.org/axis/wsdd/" xmlns:java="http://xml.apache.org/axis/wsdd/providers/java">
 <globalConfiguration>
  <parameter name="sendXsiTypes" value="true"/>
  <parameter name="sendMultiRefs" value="true"/>
  <parameter name="sendXMLDeclaration" value="true"/>
  <!-- we have to replace it with Java CoG
  <requestFlow>
   <handler type="java:org.edg.security.voms.service.InitSecurityContext"/>
  </requestFlow>
  -->
 </globalConfiguration>
 <handler name="LocalResponder" type="java:org.apache.axis.transport.local.LocalResponder"/>
 <handler name="URLMapper" type="java:org.apache.axis.handlers.http.URLMapper"/>
 <handler name="RPCDispatcher" type="java:org.apache.axis.providers.java.RPCProvider"/>
 <handler name="Authenticate" type="java:org.apache.axis.handlers.SimpleAuthenticationHandler"/>
 <handler name="MsgDispatcher" type="java:org.apache.axis.providers.java.MsgProvider"/>
    <xsl:copy-of select="."/>
 <transport name="http">
  <requestFlow>
   <handler type="URLMapper"/>
  </requestFlow>
 </transport>
 <transport name="local">
  <responseFlow>
   <handler type="java:org.apache.axis.transport.local.LocalResponder"/>
  </responseFlow>
 </transport>
</deployment>
  </xsl:template>
</xsl:stylesheet>
